import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';

/**
 * Module for the events-backend plugin, adding an event router for GitHub.
 *
 * Registers the `GithubEventRouter`.
 *
 * @alpha
 */
declare const eventsModuleGithubEventRouter: () => _backstage_backend_plugin_api.BackendFeature;

/**
 * Module for the events-backend plugin,
 * registering an HTTP POST ingress with request validator
 * which verifies the webhook signature based on a secret.
 *
 * @alpha
 */
declare const eventsModuleGithubWebhook: () => _backstage_backend_plugin_api.BackendFeature;

export { eventsModuleGithubEventRouter, eventsModuleGithubWebhook };
